---
title: "Expanding User Support with Office Hours"
date: 2018-03-14
slug: expanding-user-support-with-office-hours
url: /blog/2018/03/Expanding-User-Support-With-Office-Hours
---

**Today's post is by [Jorge Castro](https://twitter.com/castrojo) and [Ilya Dmitichenko](https://twitter.com/errordeveloper) on Kubernetes office hours.**

Today's developer has an almost overwhelming amount of resources available for learning. Kubernetes development teams use [StackOverflow][1], [user documentation][2], [Slack][3], and the [mailing lists][4]. Additionally, the community itself continues to amass an [awesome list][5] of resources.

One of the challenges of large projects is keeping user resources relevant and useful. While documentation can be useful, great learning also happens in Q&A sessions at conferences, or by learning with someone whose explanation matches your learning style. Consider that learning Kung Fu from Morpheus would be a lot more fun than reading a book about Kung Fu!

![][6]


We as Kubernetes developers want to create an interactive experience: where Kubernetes users can get their questions answered by experts in real time, or at least referred to the best known documentation or code example.

Having discussed a few broad ideas, we eventually decided to make [Kubernetes Office Hours][7] a live stream where we take user questions from the audience and present them to our panel of contributors and expert users. We run two sessions: one for European time zones, and one for the Americas. These [streaming setup guidelines][8] make office hours extensible—for example, if someone wants to run office hours for Asia/Pacific timezones, or for another CNCF project.

To give you an idea of what Kubernetes office hours are like, here's Josh Berkus answering a question on running databases on Kubernetes. Despite the popularity of this topic, it's still difficult for a new user to get a constructive answer. Here's an excellent response from Josh:

[![](https://img.youtube.com/vi/Aj0yozuQ0ME/0.jpg)](https://www.youtube.com/embed/Aj0yozuQ0ME?ecver=2)

It's often easier to field this kind of question in office hours than it is to ask a developer to write a full-length blog post. \[Editor's note: That's legit!\] Because we don't have infinite developers with infinite time, this kind of focused communication creates high-bandwidth help while limiting developer commitments to 1 hour per month. This allows a rotating set of experts to share the load without overwhelming any one person.

We hold office hours the third Wednesday of every month on the [Kubernetes YouTube Channel][9]. You can post questions on the [#office-hours channel][10] on Slack, or you can submit your question to Stack Overflow and post a link on Slack. If you post a question in advance, you might get better answers, as volunteers have more time to research and prepare. If a question can't be fully solved during the call, the team will try their best to point you in the right direction and/or ping other people in the community to take a look. [Check out this page][7] for more details on what's off- and on topic as well as meeting information for your time zone. We hope to hear your questions soon!

Special thanks to Amazon, Bitnami, Giant Swarm, Heptio, Liquidweb, Northwestern Mutual, Packet.net, Pivotal, Red Hat, Weaveworks, and VMWare for donating engineering time to office hours.

And thanks to Alan Pope, Joe Beda, and Charles Butler for technical support in making our livestream better.

[1]: https://stackoverflow.com/questions/tagged/kubernetes
[2]: https://kubernetes.io/docs/home
[3]: http://slack.k8s.io/
[4]: https://groups.google.com/forum/#!forum/kubernetes-users
[5]: https://github.com/ramitsurana/awesome-kubernetes
[6]: https://3.bp.blogspot.com/-Iy2GaddJp78/WqnFbVUu9FI/AAAAAAAAAM4/xUzhOSIlRDEMMZNl3SzPBd1Pa0T5y0pKQCLcBGAs/s400/24xkey.jpg
[7]: https://github.com/kubernetes/community/blob/master/events/office-hours.md
[8]: https://docs.google.com/document/d/1jHSnRzoOxwd1urgxwbANhNgXjMV8fb0B4NS3ZUL10IY/edit
[9]: https://www.youtube.com/c/kubernetescommunity
[10]: https://kubernetes.slack.com/messages/office-hours
