---
title: Tasks
main_menu: true
weight: 50
content_template: templates/concept
---

{{< toc >}}

{{% capture overview %}}

This section of the Kubernetes documentation contains pages that
show how to do individual tasks. A task page shows how to do a
single thing, typically by giving a short sequence of steps.

{{% /capture %}}

{{% capture body %}}

## Web UI (Dashboard)

Deploy and access the Dashboard web user interface to help you manage and monitor containerized applications in a Kubernetes cluster.

## Using the kubectl Command-line

Install and setup the `kubectl` command-line tool used to directly manage Kubernetes clusters.

## Configuring Pods and Containers

Perform common configuration tasks for Pods and Containers.

## Running Applications

Perform common application management tasks, such as rolling updates, injecting information into pods, and horizontal Pod autoscaling.

## Running Jobs

Run Jobs using parallel processing.

## Accessing Applications in a Cluster

Configure load balancing, port forwarding, or setup firewall or DNS configurations to access applications in a cluster.

## Monitoring, Logging, and Debugging

Setup monitoring and logging to troubleshoot a cluster or debug a containerized application.

## Accessing the Kubernetes API

Learn various methods to directly access the Kubernetes API.

## Using TLS

Configure your application to trust and use the cluster root Certificate Authority (CA).

## Administering a Cluster

Learn common tasks for administering a cluster.

## Administering Federation

Configure components in a cluster federation.

## Managing Stateful Applications

Perform common tasks for managing Stateful applications, including scaling, deleting, and debugging StatefulSets.

## Cluster Daemons

Perform common tasks for managing a DaemonSet, such as performing a rolling update.

## Managing GPUs

Configure and schedule NVIDIA GPUs for use as a resource by nodes in a cluster.

## Managing HugePages

Configure and schedule huge pages as a schedulable resource in a cluster.

{{% /capture %}}

{{% capture whatsnext %}}

If you would like to write a task page, see
[Creating a Documentation Pull Request](/docs/home/contribute/create-pull-request/).

{{% /capture %}}
